> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Driver Invoice

> Create a new driver invoice.



## OpenAPI

````yaml post /v2/driver/invoices/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/driver/invoices/:
    post:
      tags:
        - Driver Invoices
      operationId: v2_driver_invoices_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDriverInvoiceUpload'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateDriverInvoiceUpload'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateDriverInvoiceUpload'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateDriverInvoiceUpload'
          description: ''
components:
  schemas:
    CreateDriverInvoiceUpload:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        driver_id:
          type: integer
          writeOnly: true
        invoice_number:
          type: string
          maxLength: 255
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
        file:
          type: string
          format: uri
        payment_status:
          $ref: '#/components/schemas/PaymentStatusEnum'
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - amount
        - created_at
        - driver_id
        - file
        - id
        - invoice_number
        - updated_at
    PaymentStatusEnum:
      enum:
        - pending
        - succeeded
        - failed
      type: string
      description: |-
        * `pending` - Pending
        * `succeeded` - Succeeded
        * `failed` - Failed
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````